%define name perl-DateManip
%define realname DateManip
%define version 5.37
%define release 2mdk
%define _prefix /usr

Name:		%{name}
Summary:	DateManip module for perl (Data_Type_Utilities/Date)
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	/var/tmp/%{name}-buildroot
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
DateManip is a Perl module designed to make common date/time manipulation
easy to do.  Operations such as comparing two times, calculating a time a
given amount of time from another, or parsing international times are all
easily done.


%prep -q
%setup -n %{realname}-%{version}

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make

%install
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}


%files
%defattr(-,root,root)
%{_prefix}/lib/perl5/site_perl/5.6.0/%{_arch}-linux/auto/Date/Manip/.packlist
%{_prefix}/lib/perl5/site_perl/5.6.0/Date/Manip.pm
%{_prefix}/lib/perl5/site_perl/5.6.0/Date/Manip.pod
%{_prefix}/lib/perl5/man/man3/Date::Manip.3*


%changelog
* Fri May 5 2000 Vincent Danen <vdanen@linux-mandrake.com> 5.37-2mdk
- fix group

* Wed Mar 8 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 5.37

* Tue Mar 7 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
